Index: /palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_u.f90	(revision 2117)
+++ /palm/trunk/SOURCE/diffusion_u.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -35,8 +35,6 @@
 ! Module renamed (removed _mod)
 ! 
-! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
-! 
 !
 ! 1740 2016-01-13 08:19:40Z raasch
@@ -97,5 +95,5 @@
 
     PRIVATE
-    PUBLIC diffusion_u, diffusion_u_acc
+    PUBLIC diffusion_u
 
     INTERFACE diffusion_u
@@ -103,8 +101,4 @@
        MODULE PROCEDURE diffusion_u_ij
     END INTERFACE diffusion_u
-
-    INTERFACE diffusion_u_acc
-       MODULE PROCEDURE diffusion_u_acc
-    END INTERFACE diffusion_u_acc
 
  CONTAINS
@@ -280,195 +274,4 @@
 ! Description:
 ! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_u_acc
-
-       USE arrays_3d,                                                          &
-           ONLY:  ddzu, ddzw, km, tend, u, usws, uswst, v, w,                  &
-                  drho_air, rho_air_zw
-       
-       USE control_parameters,                                                 &
-           ONLY:  constant_top_momentumflux, topography, use_surface_fluxes,   &
-                  use_top_fluxes
-       
-       USE grid_variables,                                                     &
-           ONLY:  ddx, ddx2, ddy, fym, fyp, wall_u
-       
-       USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nxl, nxr, nyn, nys, nzb,  &
-                  nzb_diff_u, nzb_u_inner, nzb_u_outer, nzt, nzt_diff
-       
-       USE kinds
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i     !< 
-       INTEGER(iwp) ::  j     !< 
-       INTEGER(iwp) ::  k     !< 
-       REAL(wp)     ::  kmym  !<
-       REAL(wp)     ::  kmyp  !<
-       REAL(wp)     ::  kmzm  !<
-       REAL(wp)     ::  kmzp  !<
-
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  usvs  !< 
-       !$acc declare create ( usvs )
-
-!
-!--    First calculate horizontal momentum flux u'v' at vertical walls,
-!--    if neccessary
-       IF ( topography /= 'flat' )  THEN
-          CALL wall_fluxes_acc( usvs, 1.0_wp, 0.0_wp, 0.0_wp, 0.0_wp,          &
-                                nzb_u_inner, nzb_u_outer, wall_u )
-       ENDIF
-
-       !$acc kernels present ( u, v, w, km, tend, usws, uswst )                &
-       !$acc         present ( ddzu, ddzw, fym, fyp, wall_u )                  &
-       !$acc         present ( nzb_u_inner, nzb_u_outer, nzb_diff_u )
-       DO  i = i_left, i_right
-          DO  j = j_south, j_north
-!
-!--          Compute horizontal diffusion
-             DO  k = 1, nzt
-                IF ( k > nzb_u_outer(j,i) )  THEN
-!
-!--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmyp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j+1,i)+km(k,j,i-1)+km(k,j+1,i-1) )
-                   kmym = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j-1,i)+km(k,j,i-1)+km(k,j-1,i-1) )
-
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                         & + 2.0_wp * (                                        &
-                         &           km(k,j,i)   * ( u(k,j,i+1) - u(k,j,i)   ) &
-                         &         - km(k,j,i-1) * ( u(k,j,i)   - u(k,j,i-1) ) &
-                         &            ) * ddx2                                 &
-                         & + ( kmyp * ( u(k,j+1,i) - u(k,j,i)     ) * ddy      &
-                         &   + kmyp * ( v(k,j+1,i) - v(k,j+1,i-1) ) * ddx      &
-                         &   - kmym * ( u(k,j,i) - u(k,j-1,i) ) * ddy          &
-                         &   - kmym * ( v(k,j,i) - v(k,j,i-1) ) * ddx          &
-                         &   ) * ddy
-                ENDIF
-             ENDDO
-
-!
-!--          Wall functions at the north and south walls, respectively
-             DO  k = 1, nzt
-                IF( k > nzb_u_inner(j,i)  .AND.  k <= nzb_u_outer(j,i)  .AND.  &
-                    wall_u(j,i) /= 0.0_wp )  THEN
-
-                   kmyp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j+1,i)+km(k,j,i-1)+km(k,j+1,i-1) )
-                   kmym = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j-1,i)+km(k,j,i-1)+km(k,j-1,i-1) )
-
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                                 + 2.0_wp * (                                  &
-                                       km(k,j,i)   * ( u(k,j,i+1) - u(k,j,i) ) &
-                                     - km(k,j,i-1) * ( u(k,j,i) - u(k,j,i-1) ) &
-                                            ) * ddx2                           &
-                                 + (   fyp(j,i) * (                            &
-                                  kmyp * ( u(k,j+1,i) - u(k,j,i)     ) * ddy   &
-                                + kmyp * ( v(k,j+1,i) - v(k,j+1,i-1) ) * ddx   &
-                                                  )                            &
-                                     - fym(j,i) * (                            &
-                                  kmym * ( u(k,j,i) - u(k,j-1,i) ) * ddy       &
-                                + kmym * ( v(k,j,i) - v(k,j,i-1) ) * ddx       &
-                                                  )                            &
-                                     + wall_u(j,i) * usvs(k,j,i)               &
-                                   ) * ddy
-                ENDIF
-             ENDDO
-
-!
-!--          Compute vertical diffusion. In case of simulating a Prandtl layer,
-!--          index k starts at nzb_u_inner+2.
-             DO  k = 1, nzt_diff
-                IF ( k >= nzb_diff_u(j,i) )  THEN
-!
-!--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmzp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j,i-1)+km(k+1,j,i-1) )
-                   kmzm = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
-
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                         & + ( kmzp * ( ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)&
-                         &            + ( w(k,j,i)   - w(k,j,i-1) ) * ddx      &
-                         &            ) * rho_air_zw(k)                        &
-                         &   - kmzm * ( ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)&
-                         &            + ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx    &
-                         &            ) * rho_air_zw(k-1)                      &
-                         &   ) * ddzw(k) * drho_air(k)
-                ENDIF
-             ENDDO
-
-          ENDDO
-       ENDDO
-
-!
-!--    Vertical diffusion at the first grid point above the surface,
-!--    if the momentum flux at the bottom is given by the Prandtl law or
-!--    if it is prescribed by the user.
-!--    Difference quotient of the momentum flux is not formed over half
-!--    of the grid spacing (2.0*ddzw(k)) any more, since the comparison
-!--    with other (LES) models showed that the values of the momentum
-!--    flux becomes too large in this case.
-!--    The term containing w(k-1,..) (see above equation) is removed here
-!--    because the vertical velocity is assumed to be zero at the surface.
-       IF ( use_surface_fluxes )  THEN
-
-          DO  i = i_left, i_right
-             DO  j = j_south, j_north
-          
-                k = nzb_u_inner(j,i)+1
-!
-!--             Interpolate eddy diffusivities on staggered gridpoints
-                kmzp = 0.25_wp *                                               &
-                      ( km(k,j,i)+km(k+1,j,i)+km(k,j,i-1)+km(k+1,j,i-1) )
-
-                tend(k,j,i) = tend(k,j,i)                                      &
-                      & + ( kmzp * ( ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)   &
-                      &            + ( w(k,j,i)   - w(k,j,i-1) ) * ddx         &
-                      &            ) * rho_air_zw(k)                           &
-                      &   - ( -usws(j,i) )                                     &
-                      &   ) * ddzw(k) * drho_air(k)
-             ENDDO
-          ENDDO
-
-       ENDIF
-
-!
-!--    Vertical diffusion at the first gridpoint below the top boundary,
-!--    if the momentum flux at the top is prescribed by the user
-       IF ( use_top_fluxes  .AND.  constant_top_momentumflux )  THEN
-
-          k = nzt
-
-          DO  i = i_left, i_right
-             DO  j = j_south, j_north
-
-!
-!--             Interpolate eddy diffusivities on staggered gridpoints
-                kmzm = 0.25_wp *                                               &
-                       ( km(k,j,i)+km(k-1,j,i)+km(k,j,i-1)+km(k-1,j,i-1) )
-
-                tend(k,j,i) = tend(k,j,i)                                      &
-                      & + ( ( -uswst(j,i) )                                    &
-                      &   - kmzm * ( ( u(k,j,i)   - u(k-1,j,i)   ) * ddzu(k)   &
-                      &            + ( w(k-1,j,i) - w(k-1,j,i-1) ) * ddx       &
-                      &            ) * rho_air_zw(k-1)                         &
-                      &   ) * ddzw(k) * drho_air(k)
-             ENDDO
-          ENDDO
-
-       ENDIF
-       !$acc end kernels
-
-    END SUBROUTINE diffusion_u_acc
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
 !> Call for grid point i,j
 !------------------------------------------------------------------------------!
Index: /palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_v.f90	(revision 2117)
+++ /palm/trunk/SOURCE/diffusion_v.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -35,8 +35,6 @@
 ! Module renamed (removed _mod)
 ! 
-! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
-! 
 !
 ! 1740 2016-01-13 08:19:40Z raasch
@@ -92,5 +90,5 @@
 
     PRIVATE
-    PUBLIC diffusion_v, diffusion_v_acc
+    PUBLIC diffusion_v
 
     INTERFACE diffusion_v
@@ -98,8 +96,4 @@
        MODULE PROCEDURE diffusion_v_ij
     END INTERFACE diffusion_v
-
-    INTERFACE diffusion_v_acc
-       MODULE PROCEDURE diffusion_v_acc
-    END INTERFACE diffusion_v_acc
 
  CONTAINS
@@ -275,195 +269,4 @@
 ! Description:
 ! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_v_acc
-
-       USE arrays_3d,                                                          &
-           ONLY:  ddzu, ddzw, km, tend, u, v, vsws, vswst, w,                  &
-                  drho_air, rho_air_zw
-       
-       USE control_parameters,                                                 &
-           ONLY:  constant_top_momentumflux, topography, use_surface_fluxes,   &
-                  use_top_fluxes
-       
-       USE grid_variables,                                                     &
-           ONLY:  ddx, ddy, ddy2, fxm, fxp, wall_v
-       
-       USE indices,                                                            &
-           ONLY:  i_left, i_right, j_north, j_south, nxl, nxr, nyn, nys, nzb,  &
-                  nzb_diff_v, nzb_v_inner, nzb_v_outer, nzt, nzt_diff
-       
-       USE kinds
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i     !< 
-       INTEGER(iwp) ::  j     !< 
-       INTEGER(iwp) ::  k     !< 
-       REAL(wp)     ::  kmxm  !< 
-       REAL(wp)     ::  kmxp  !< 
-       REAL(wp)     ::  kmzm  !< 
-       REAL(wp)     ::  kmzp  !< 
-
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  vsus  !< 
-       !$acc declare create ( vsus )
-
-!
-!--    First calculate horizontal momentum flux v'u' at vertical walls,
-!--    if neccessary
-       IF ( topography /= 'flat' )  THEN
-          CALL wall_fluxes_acc( vsus, 0.0_wp, 1.0_wp, 0.0_wp, 0.0_wp,          &
-                                nzb_v_inner, nzb_v_outer, wall_v )
-       ENDIF
-
-       !$acc kernels present ( u, v, w, km, tend, vsws, vswst )                &
-       !$acc         present ( ddzu, ddzw, fxm, fxp, wall_v )                  &
-       !$acc         present ( nzb_v_inner, nzb_v_outer, nzb_diff_v )
-       DO  i = i_left, i_right
-          DO  j = j_south, j_north
-!
-!--          Compute horizontal diffusion
-             DO  k = 1, nzt
-                IF ( k > nzb_v_outer(j,i) )  THEN
-!
-!--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmxp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i+1)+km(k,j-1,i)+km(k,j-1,i+1) )
-                   kmxm = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i-1)+km(k,j-1,i)+km(k,j-1,i-1) )
-
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                         & + ( kmxp * ( v(k,j,i+1) - v(k,j,i)     ) * ddx      &
-                         &   + kmxp * ( u(k,j,i+1) - u(k,j-1,i+1) ) * ddy      &
-                         &   - kmxm * ( v(k,j,i) - v(k,j,i-1) ) * ddx          &
-                         &   - kmxm * ( u(k,j,i) - u(k,j-1,i) ) * ddy          &
-                         &   ) * ddx                                           &
-                         & + 2.0_wp * (                                        &
-                         &           km(k,j,i)   * ( v(k,j+1,i) - v(k,j,i) )   &
-                         &         - km(k,j-1,i) * ( v(k,j,i) - v(k,j-1,i) )   &
-                         &            ) * ddy2
-                ENDIF
-             ENDDO
-
-!
-!--          Wall functions at the left and right walls, respectively
-             DO  k = 1, nzt
-                IF( k > nzb_v_inner(j,i)  .AND.  k <= nzb_v_outer(j,i)  .AND.  &
-                    wall_v(j,i) /= 0.0_wp )  THEN
-
-                   kmxp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i+1)+km(k,j-1,i)+km(k,j-1,i+1) )
-                   kmxm = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i-1)+km(k,j-1,i)+km(k,j-1,i-1) )
-                   
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                                 + 2.0_wp * (                                  &
-                                       km(k,j,i)   * ( v(k,j+1,i) - v(k,j,i) ) &
-                                     - km(k,j-1,i) * ( v(k,j,i) - v(k,j-1,i) ) &
-                                            ) * ddy2                           &
-                                 + (   fxp(j,i) * (                            &
-                                  kmxp * ( v(k,j,i+1) - v(k,j,i)     ) * ddx   &
-                                + kmxp * ( u(k,j,i+1) - u(k,j-1,i+1) ) * ddy   &
-                                                  )                            &
-                                     - fxm(j,i) * (                            &
-                                  kmxm * ( v(k,j,i) - v(k,j,i-1) ) * ddx       &
-                                + kmxm * ( u(k,j,i) - u(k,j-1,i) ) * ddy       &
-                                                  )                            &
-                                     + wall_v(j,i) * vsus(k,j,i)               &
-                                   ) * ddx
-                ENDIF
-             ENDDO
-
-!
-!--          Compute vertical diffusion. In case of simulating a Prandtl
-!--          layer, index k starts at nzb_v_inner+2.
-             DO  k = 1, nzt_diff
-                IF ( k >= nzb_diff_v(j,i) )  THEN
-!
-!--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmzp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-                   kmzm = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k-1,j,i)+km(k,j-1,i)+km(k-1,j-1,i) )
-
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                         & + ( kmzp * ( ( v(k+1,j,i) - v(k,j,i)   ) * ddzu(k+1)&
-                         &            + ( w(k,j,i)   - w(k,j-1,i) ) * ddy      &
-                         &            ) * rho_air_zw(k)                        &
-                         &   - kmzm * ( ( v(k,j,i)   - v(k-1,j,i)   ) * ddzu(k)&
-                         &            + ( w(k-1,j,i) - w(k-1,j-1,i) ) * ddy    &
-                         &            ) * rho_air_zw(k-1)                      &
-                         &   ) * ddzw(k) * drho_air(k)
-                ENDIF
-             ENDDO
-
-          ENDDO
-       ENDDO
-
-!
-!--    Vertical diffusion at the first grid point above the surface,
-!--    if the momentum flux at the bottom is given by the Prandtl law
-!--    or if it is prescribed by the user.
-!--    Difference quotient of the momentum flux is not formed over
-!--    half of the grid spacing (2.0*ddzw(k)) any more, since the
-!--    comparison with other (LES) models showed that the values of
-!--    the momentum flux becomes too large in this case.
-!--    The term containing w(k-1,..) (see above equation) is removed here
-!--    because the vertical velocity is assumed to be zero at the surface.
-       IF ( use_surface_fluxes )  THEN
-
-          DO  i = i_left, i_right
-             DO  j = j_south, j_north
-          
-                k = nzb_v_inner(j,i)+1
-!
-!--             Interpolate eddy diffusivities on staggered gridpoints
-                kmzp = 0.25_wp *                                               &
-                       ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-
-                tend(k,j,i) = tend(k,j,i)                                      &
-                      & + ( kmzp * ( ( v(k+1,j,i) - v(k,j,i)   ) * ddzu(k+1)   &
-                      &            + ( w(k,j,i)   - w(k,j-1,i) ) * ddy         &
-                      &            ) * rho_air_zw(k)                           &
-                      &   - ( -vsws(j,i) )                                     &
-                      &   ) * ddzw(k) * drho_air(k)
-             ENDDO
-          ENDDO
-
-       ENDIF
-
-!
-!--    Vertical diffusion at the first gridpoint below the top boundary,
-!--    if the momentum flux at the top is prescribed by the user
-       IF ( use_top_fluxes  .AND.  constant_top_momentumflux )  THEN
-
-          k = nzt
-
-          DO  i = i_left, i_right
-             DO  j = j_south, j_north
-
-!
-!--             Interpolate eddy diffusivities on staggered gridpoints
-                kmzm = 0.25_wp *                                               &
-                       ( km(k,j,i)+km(k-1,j,i)+km(k,j-1,i)+km(k-1,j-1,i) )
-
-                tend(k,j,i) = tend(k,j,i)                                      &
-                      & + ( ( -vswst(j,i) )                                    &
-                      &   - kmzm * ( ( v(k,j,i)   - v(k-1,j,i)   ) * ddzu(k)   &
-                      &            + ( w(k-1,j,i) - w(k-1,j-1,i) ) * ddy       &
-                      &            ) * rho_air_zw(k-1)                         &
-                      &   ) * ddzw(k) * drho_air(k)
-             ENDDO
-          ENDDO
-
-       ENDIF
-       !$acc end kernels
-
-    END SUBROUTINE diffusion_v_acc
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
 !> Call for grid point i,j
 !------------------------------------------------------------------------------!
Index: /palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- /palm/trunk/SOURCE/diffusion_w.f90	(revision 2117)
+++ /palm/trunk/SOURCE/diffusion_w.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC version of subroutine removed
 ! 
 ! Former revisions:
@@ -35,8 +35,6 @@
 ! Module renamed (removed _mod)
 ! 
-! 
 ! 1850 2016-04-08 13:29:27Z maronga
 ! Module renamed
-! 
 ! 
 ! 1682 2015-10-07 23:56:08Z knoop
@@ -97,8 +95,8 @@
 
     USE wall_fluxes_mod,                                                       &
-        ONLY :  wall_fluxes, wall_fluxes_acc
+        ONLY :  wall_fluxes
 
     PRIVATE
-    PUBLIC diffusion_w, diffusion_w_acc
+    PUBLIC diffusion_w
 
     INTERFACE diffusion_w
@@ -106,8 +104,4 @@
        MODULE PROCEDURE diffusion_w_ij
     END INTERFACE diffusion_w
-
-    INTERFACE diffusion_w_acc
-       MODULE PROCEDURE diffusion_w_acc
-    END INTERFACE diffusion_w_acc
 
  CONTAINS
@@ -248,143 +242,4 @@
 ! Description:
 ! ------------
-!> Call for all grid points - accelerator version
-!------------------------------------------------------------------------------!
-    SUBROUTINE diffusion_w_acc
-
-       USE arrays_3d,                                                          &
-           ONLY :  ddzu, ddzw, km, tend, u, v, w, drho_air_zw, rho_air
-           
-       USE control_parameters,                                                 &
-           ONLY :  topography
-           
-       USE grid_variables,                                                     &
-           ONLY : ddx, ddy, fwxm, fwxp, fwym, fwyp, wall_w_x, wall_w_y
-           
-       USE indices,                                                            &
-           ONLY :  i_left, i_right, j_north, j_south, nxl, nxr, nyn, nys, nzb, &
-                   nzb_w_inner, nzb_w_outer, nzt
-                   
-       USE kinds
-
-       IMPLICIT NONE
-
-       INTEGER(iwp) ::  i     !<
-       INTEGER(iwp) ::  j     !<
-       INTEGER(iwp) ::  k     !<
-       
-       REAL(wp) ::  kmxm  !<
-       REAL(wp) ::  kmxp  !<
-       REAL(wp) ::  kmym  !<
-       REAL(wp) ::  kmyp  !< 
-
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wsus  !<
-       REAL(wp), DIMENSION(nzb:nzt+1,nys:nyn,nxl:nxr) ::  wsvs  !<
-       !$acc declare create ( wsus, wsvs )
-
-!
-!--    First calculate horizontal momentum flux w'u' and/or w'v' at vertical
-!--    walls, if neccessary
-       IF ( topography /= 'flat' )  THEN
-          CALL wall_fluxes_acc( wsus, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp,          &
-                                nzb_w_inner, nzb_w_outer, wall_w_x )
-          CALL wall_fluxes_acc( wsvs, 0.0_wp, 0.0_wp, 0.0_wp, 1.0_wp,          &
-                                nzb_w_inner, nzb_w_outer, wall_w_y )
-       ENDIF
-
-       !$acc kernels present ( u, v, w, km, tend )                             &
-       !$acc         present ( ddzu, ddzw, fwxm, fwxp, fwym, fwyp, wall_w_x, wall_w_y )           &
-       !$acc         present ( nzb_w_inner, nzb_w_outer )
-       DO  i = i_left, i_right
-          DO  j = j_south, j_north
-             DO  k = 1, nzt
-                IF ( k > nzb_w_outer(j,i) )  THEN
-!
-!--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmxp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
-                   kmxm = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
-                   kmyp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
-                   kmym = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-
-                   tend(k,j,i) = tend(k,j,i)                                     &
-                         & + ( kmxp * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx        &
-                         &   + kmxp * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1)  &
-                         &   - kmxm * ( w(k,j,i)   - w(k,j,i-1) ) * ddx          &
-                         &   - kmxm * ( u(k+1,j,i) - u(k,j,i)   ) * ddzu(k+1)    &
-                         &   ) * ddx                                             &
-                         & + ( kmyp * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy        &
-                         &   + kmyp * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1)  &
-                         &   - kmym * ( w(k,j,i)   - w(k,j-1,i) ) * ddy          &
-                         &   - kmym * ( v(k+1,j,i) - v(k,j,i)   ) * ddzu(k+1)    &
-                         &   ) * ddy                                             &
-                         & + 2.0_wp * (                                          &
-                         &   km(k+1,j,i) * ( w(k+1,j,i) - w(k,j,i) ) * ddzw(k+1) &
-                         &               * rho_air(k+1)                          &
-                         & - km(k,j,i)   * ( w(k,j,i)   - w(k-1,j,i) ) * ddzw(k) &
-                         &               * rho_air(k)                            &
-                         &            ) * ddzu(k+1) * drho_air_zw(k)
-                ENDIF
-             ENDDO
-
-!
-!--          Wall functions at all vertical walls, where necessary
-             DO  k = 1,nzt
-
-                IF ( k > nzb_w_inner(j,i)  .AND.  k <= nzb_w_outer(j,i)  .AND. &
-                     wall_w_x(j,i) /= 0.0_wp  .AND.  wall_w_y(j,i) /= 0.0_wp )  THEN
-!
-!--                Interpolate eddy diffusivities on staggered gridpoints
-                   kmxp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i+1)+km(k+1,j,i)+km(k+1,j,i+1) )
-                   kmxm = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k,j,i-1)+km(k+1,j,i)+km(k+1,j,i-1) )
-                   kmyp = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j+1,i)+km(k+1,j+1,i) )
-                   kmym = 0.25_wp *                                            &
-                          ( km(k,j,i)+km(k+1,j,i)+km(k,j-1,i)+km(k+1,j-1,i) )
-
-                   tend(k,j,i) = tend(k,j,i)                                   &
-                                 + (   fwxp(j,i) * (                           &
-                            kmxp * ( w(k,j,i+1)   - w(k,j,i)   ) * ddx         &
-                          + kmxp * ( u(k+1,j,i+1) - u(k,j,i+1) ) * ddzu(k+1)   &
-                                                   )                           &
-                                     - fwxm(j,i) * (                           &
-                            kmxm * ( w(k,j,i)     - w(k,j,i-1) ) * ddx         &
-                          + kmxm * ( u(k+1,j,i)   - u(k,j,i)   ) * ddzu(k+1)   &
-                                                   )                           &
-                                     + wall_w_x(j,i) * wsus(k,j,i)             &
-                                   ) * ddx                                     &
-                                 + (   fwyp(j,i) * (                           &
-                            kmyp * ( w(k,j+1,i)   - w(k,j,i)   ) * ddy         &
-                          + kmyp * ( v(k+1,j+1,i) - v(k,j+1,i) ) * ddzu(k+1)   &
-                                                   )                           &
-                                     - fwym(j,i) * (                           &
-                            kmym * ( w(k,j,i)     - w(k,j-1,i) ) * ddy         &
-                          + kmym * ( v(k+1,j,i)   - v(k,j,i)   ) * ddzu(k+1)   &
-                                                   )                           &
-                                     + wall_w_y(j,i) * wsvs(k,j,i)             &
-                                   ) * ddy                                     &
-                                 + 2.0_wp * (                                  &
-                           km(k+1,j,i) * ( w(k+1,j,i) - w(k,j,i) ) * ddzw(k+1) &
-                                       * rho_air(k+1)                          &
-                         - km(k,j,i)   * ( w(k,j,i)   - w(k-1,j,i) ) * ddzw(k) &
-                                       * rho_air(k)                            &
-                                            ) * ddzu(k+1) * drho_air_zw(k)
-                ENDIF
-             ENDDO
-
-          ENDDO
-       ENDDO
-       !$acc end kernels
-
-    END SUBROUTINE diffusion_w_acc
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
 !> Call for grid point i,j
 !------------------------------------------------------------------------------!
Index: /palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- /palm/trunk/SOURCE/diffusivities.f90	(revision 2117)
+++ /palm/trunk/SOURCE/diffusivities.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC directives removed
 ! 
 ! Former revisions:
@@ -130,16 +130,9 @@
 
 !
-!-- Data declerations for accelerators
-    !$acc data present( dd2zu, e, km, kh, l_grid, l_wall, nzb_s_inner, var )
-    !$acc kernels
-
-!
 !-- Introduce an optional minimum tke
     IF ( e_min > 0.0_wp )  THEN
        !$OMP DO
-       !$acc loop
        DO  i = nxlg, nxrg
           DO  j = nysg, nyng
-             !$acc loop vector( 32 )
              DO  k = 1, nzt
                 IF ( k > nzb_s_inner(j,i) )  THEN
@@ -152,8 +145,6 @@
 
     !$OMP DO
-    !$acc loop
     DO  i = nxlg, nxrg
        DO  j = nysg, nyng
-          !$acc loop vector( 32 )
           DO  k = 1, nzt
 
@@ -191,12 +182,10 @@
                 kh(k,j,i) = ( 1.0_wp + 2.0_wp * l / ll ) * km(k,j,i)
 
-#if ! defined( __openacc )
-!
-!++             Statistics still have to be realized for accelerators
+!
 !--             Summation for averaged profile (cf. flow_statistics)
                 DO  sr = 0, statistic_regions
                    sums_l_l(k,sr,tn) = sums_l_l(k,sr,tn) + l * rmask(j,i,sr)
                 ENDDO
-#endif
+
              ENDIF
 
@@ -205,11 +194,7 @@
     ENDDO
 
-#if ! defined( __openacc )
-!
-!++ Statistics still have to be realized for accelerators
     sums_l_l(nzt+1,:,tn) = sums_l_l(nzt,:,tn)   ! quasi boundary-condition for
-                                                  ! data output
-#endif
-    !$OMP END PARALLEL
+                                                ! data output
+!$OMP END PARALLEL
 
 !
@@ -219,5 +204,4 @@
 !-- values of the diffusivities are not needed
     !$OMP PARALLEL DO
-    !$acc loop
     DO  i = nxlg, nxrg
        DO  j = nysg, nyng
@@ -249,6 +233,3 @@
     ENDIF
 
-    !$acc end kernels
-    !$acc end data
-
  END SUBROUTINE diffusivities
